%define major   0
%define gmajor	1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname -d %{name}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		gsound
Version:	1.0.3
Release:	%mkrel 4
Summary:	Small gobject library for playing system sounds
Group:		System/Libraries
License:	LGPLv2
URL:		https://wiki.gnome.org/Projects/GSound
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala-tools
BuildRequires:	meson
BuildRequires:	gtk-doc

%description
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library.

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n %{libname}
this package contains dynamic libraries for gsound.

%package -n %{girname}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%files
%doc README.md
%license COPYING
%{_bindir}/gsound-play
%{_mandir}/man1/gsound-play.*

%files -n %{girname}
%{_libdir}/girepository-1.0/GSound-%{gmajor}.typelib

%files -n %{libname}
%doc README.md
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gsound.pc
%{_datadir}/gir-1.0/GSound-1.0.gir
%{_datadir}/gtk-doc/html/gsound-%{version}
%{_datadir}/vala/vapi/gsound.*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0.3-4.mga10
+ Revision: 2217193
- Mageia 10 Mass Rebuild

* Mon Jan 02 2023 daviddavid <daviddavid> 1.0.3-3.mga9
+ Revision: 1929387
- fix dangling link: /usr/share/doc/gsound/README -> README.md

* Thu Mar 31 2022 umeabot <umeabot> 1.0.3-2.mga9
+ Revision: 1837163
- Mageia 9 Mass Rebuild

* Wed Jan 12 2022 tv <tv> 1.0.3-1.mga9
+ Revision: 1768171
- Switch to meson
+ ovitters <ovitters>
- new version 1.0.3
+ wally <wally>
- don't own 'system' dirs
- tag docs as such

* Wed Apr 22 2020 ovitters <ovitters> 1.0.2-5.mga8
+ Revision: 1570850
- rebuild for to test removal of deprecated macros

* Thu Feb 13 2020 umeabot <umeabot> 1.0.2-4.mga8
+ Revision: 1512709
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1298093
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 1.0.2-2.mga6
+ Revision: 960570
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 897095
- new version 1.0.2

* Mon Jun 29 2015 wally <wally> 1.0.1-2.mga6
+ Revision: 847447
- split out gir typelibs
- clean .spec a bit

* Mon Jun 22 2015 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 839759
- fix group
- imported package gsound


* Sat May 02 2015 Crispin Boylan <crisb@mandriva.org> 1.0.1-1
+ Revision: 54be846
- BR vapigen


